

#ifndef _CAMERA_H_
#define _CAMERA_H_

//---------------------------------------------------------------------
//Globalne Premenn
//---------------------------------------------------------------------

//MATICA pohladu
extern D3DXMATRIXA16 matView;   //camera

//--------------------------------------------------------------------
// Name: Camera Class
// Desc: ************
//--------------------------------------------------------------------
class CAMERA 
{
private:
	
	void CalcFrustrumPlanes();

public:

	CAMERA();

	//orezavacie roviny
	PLANE Back,Front;
	PLANE Left,Right;
	PLANE Up,Down;

	//hodnoty podla ktorych sa pocitaju frustrum planes
	float Angle1;
	float Angle2;
	float MaxDis ;

	VECTOR3D Pos;   	//pozicia kam
	VECTOR3D ActPos;    //pozicia odkiala
	VECTOR3D Rot;      	//yaw pitch roll
	VECTOR3D Lok;      	//kam sa pozera kamera 

	void RefreshLookAt();
	void RefreshYawPitchRoll();

	bool FrustrumSphere(VECTOR3D S,float P);
	bool FrustrumBox(VECTOR3D Min,VECTOR3D Max);
	
};

//--------------------------------------------------------------------
#endif  //_CAMERA_H_
//--------------------------------------------------------------------
